/// <reference types="node" />
import fs from "fs";
import InternalDatabase from "../../src/Database";
import { Env, FileHandle } from "../../src/Env";
import { DatabaseOptions } from "../../src/Options";
import { InternalDBRepairer } from "../../src/DBRepairer";
import { WriteBatch } from "../../src/WriteBatch";
import { onExit } from "./cleanup";
declare class NodeEnv implements Env {
    platform(): string;
    /**
     * get current time
     */
    now(): number;
    onExit: typeof onExit;
    access(dbpath: string): Promise<void>;
    mkdir(dbpath: string): Promise<void>;
    writeFile: typeof fs.promises.writeFile;
    readFile: typeof fs.promises.readFile;
    open: typeof fs.promises.open;
    rename: typeof fs.promises.rename;
    unlink: typeof fs.promises.unlink;
    unlinkSync: typeof fs.unlinkSync;
    fstat: typeof fs.promises.fstat;
    readdir(dbpath: string): Promise<fs.Dirent[]>;
    infoLog(handle: FileHandle, message: string): Promise<void>;
    getFileSize(filename: string): Promise<number>;
}
declare class Database extends InternalDatabase {
    constructor(dbpath: string, options?: DatabaseOptions);
}
declare class DBRepairer extends InternalDBRepairer {
    constructor(dbpath: string, options?: DatabaseOptions);
}
export { WriteBatch, Env, NodeEnv, Database, DBRepairer, InternalDBRepairer, InternalDatabase, };
